
Redmine - Defect #18223

Table renders wrong if a trailing space is after | symbol

2014-10-29 09:08 - René van Dorst

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 2.5.3

Description

Also mentioned by Stephan Brönnimann in #14038#note-8

Table renders wrong is a space is after | symbol.

| 1.1 | 1.2 |

| 2.1 | 2.2 | <-space here

| 3.1 | 3.2 |

| 4.1 | 4.2 |

 

1.1 1.2

2.1 2.2

3.1 3.2

4.1 4.2

Related issues:

Related to Redmine - Defect #14038: Ordered/unordered lists inside table cell... Reopened

Associated revisions

Revision 14611 - 2015-09-20 13:02 - Jean-Philippe Lang

Table renders wrong if a trailing space is after | symbol (#18223).

Patch by Jens Krämer.

History

#1 - 2014-10-29 09:43 - Toshi MARUYAMA

- Status changed from New to Closed

#14038 is still open.

#2 - 2014-10-29 09:47 - Toshi MARUYAMA

- Related to Defect #14038: Ordered/unordered lists inside table cell are mangled added

#3 - 2014-10-29 09:48 - Toshi MARUYAMA

- Status changed from Closed to New

#4 - 2014-12-12 17:58 - @ go2null

I am not sure this is a defect.

Any character after the | works as a line continuation character to have multi-line text in a cell, or to dynamically create a multi-column table.

With this view, the issue is more that the space is not visible in the browser, so the user doesn't know it there.

However, if you Preview (or after Submit) it is easily spotted and corrected.

#5 - 2015-08-18 11:37 - Jens Krämer

- File redmine_18223.diff added
Attached is a patch that fixes this (without breaking the original fix from #14038). Test case included.

#6 - 2015-09-08 12:18 - Toshi MARUYAMA

- Target version set to 3.2.0

#7 - 2015-09-20 13:02 - Jean-Philippe Lang

- Subject changed from Table renders wrong is a space is after | symbol. to Table renders wrong if a trailing space is after | symbol

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed in r14611, thanks.

Files

redmine_18223.diff 1.53 KB 2015-08-18 Jens Krämer
